//
//  ImageClipboardHandler.java
//  CBSim
//
//  Created by Loren Petrich on 5/20/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.datatransfer.*;

// Images <-> Clipboard
// Also does text

public class ImageClipboardHandler
{
	// Puts an image to the Clipboard
	public static void PutImage(Image Img)
	{
		Clipboard Clpbrd = GetClipboard();
		ImageForClipboard ImgSel = new ImageForClipboard(Img);
		Clpbrd.setContents(ImgSel, null);
	}
	
	// Gets an image from the Clipboard
	// Returns null if the operation failed
	public static Image GetImage()
	{
		Clipboard Clpbrd = GetClipboard();
		Image Img;
		try
		{
			Transferable ClipData = Clpbrd.getContents(null);
			if (ClipData == null) return null;
			
			DataFlavor ImgFlvr = DataFlavor.imageFlavor;
			if (!ClipData.isDataFlavorSupported(ImgFlvr)) return null;
			
			Img = (Image)ClipData.getTransferData(ImgFlvr);
		}
		catch(Exception ex)
		{
			return null;
		}
		return Img;
	}
	
	// Puts some text to the Clipboard
	// From Sun's sample code
	public static void PutText(String Text)
	{
		Clipboard Clpbrd = GetClipboard();
		StringSelection TxtSel = new StringSelection(Text);
		Clpbrd.setContents(TxtSel, null);
 	}
	
	// Gets some text from the Clipboard
	public static String GetText()
	{
		Clipboard Clpbrd = GetClipboard();
		String Text;
		try
		{
			Transferable ClipData = Clpbrd.getContents(null);
 			if (ClipData == null) return null;
			
			Text = (String)ClipData.getTransferData(DataFlavor.stringFlavor);
		}
		catch(Exception ex)
		{
			return null;
		}
		return Text;
	}
	
	public static Clipboard GetClipboard()
	{
		return Toolkit.getDefaultToolkit().getSystemClipboard();
	}
}
