//
//  ImageFileChooserFilter.java
//  CBSim
//
//  Created by Loren Petrich on 5/20/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

import java.io.*;
import java.util.*;
import javax.swing.filechooser.*;

// Plug into open and save dialog boxes to show or highlight only image files
public class ImageFileChooserFilter extends javax.swing.filechooser.FileFilter
{
	private HashSet ExtensionSet;
	
	ImageFileChooserFilter()
	{
		ExtensionSet = new HashSet();
		String fileexts[] = {"bmp","gif","jpg","jpeg","png","tif","tiff"};
		for (String ext: fileexts)
		{
			ExtensionSet.add(ext);
		}
	}
	
	public boolean accept(File file)
	{
		if (file.isDirectory()) return true;
		String filename = file.getName();
		int indx = filename.lastIndexOf('.');
		if (indx <= 0 || indx >= (filename.length() - 1)) return false;
		String fileext = filename.substring(indx+1).toLowerCase();
		return ExtensionSet.contains(fileext);
	}
	
	public String getDescription() {return "Images: BMP, GIF, JPEG, PNG, TIFF";}
}
