//
//  ImageForClipboard.java
//  CBSim
//
//  Created by Loren Petrich on 5/30/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.datatransfer.*;

// Prepare an image for the clipboard; taken from http://javaalmanac.com/egs/java.awt.datatransfer/ToClipImg.html
public class ImageForClipboard implements Transferable
{
	private Image Img;
	
	ImageForClipboard(Image Img_)
	{
		Img = Img_;
	}
	
	// Returns supported flavors
	public DataFlavor[] getTransferDataFlavors()
	{
		return new DataFlavor[]{DataFlavor.imageFlavor};
	}
	
	// Returns true if flavor is supported
	public boolean isDataFlavorSupported(DataFlavor Flvr)
	{
		return DataFlavor.imageFlavor.equals(Flvr);
	}
	
	// Returns image
	public Object getTransferData(DataFlavor Flvr) throws UnsupportedFlavorException
	{
		if (DataFlavor.imageFlavor.equals(Flvr))
		{
			return Img;
		}
		else
		{
			throw new UnsupportedFlavorException(Flvr);
		}
	}
}
